#!/bin/sh
backup() {
    # 检查是否传入自定义路径
    current_date=$(date "+%Y-%m-%d_%H-%M")
    echo "备份时间:$current_date"
    local backup_path=${1:-/tmp/upload}
    mkdir -p "$backup_path/${current_date}"
    cd "$backup_path/${current_date}" || exit
    tar --strip-components=1 -czvf backup.tar.gz -C /ahost overlay
    echo "系统备份文件已保存至 $backup_path/${current_date}/backup.tar.gz"
    echo "请及时下载保存到电脑 供恢复时使用"
}

backup "$1"
